<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dvparame';
  	var  $n_reg = '0';
	var  $cve_cli = '0';
	var  $cve_pro = '0';
	var  $cve_acr = '0';
	var  $cve_mto_ven = '0';
	var  $cve_mto_gas = '0';
	var  $cve_mto_caj = '0';
	var  $tip_pol_ven = '0';
	var  $tip_pol_caj = '0';
	var  $tip_pol_ncv = '0';
	var  $tip_pol_gas = '0';
	var  $tip_pol_ppr = '0';
	var  $tip_pol_ncp = '0';
	var  $cve_pub_grl = '0';
	var  $cve_pag_sfa = '0';
	var  $dia_ven_cc1 = '0';
	var  $dia_ven_cc2 = '0';
	var  $dia_ven_cc3 = '0';
	var  $dia_ven_cc4 = '0';
	var  $dia_ven_cc5 = '0';
	var  $dia_ven_cc6 = '0';
	var  $cve_ret_isr = '0';
	var  $dia_ven_cp1 = '0';
	var  $dia_ven_cp2 = '0';
	var  $dia_ven_cp3 = '0';
	var  $dia_ven_cp4 = '0';
	var  $dia_ven_cp5 = '0';
	var  $dia_ven_cp6 = '0';
	var  $cve_mto_spe = '0';
	var  $cve_mvt_gas = '0';
	var  $afe_con_pro = '0';
	var  $afe_con_cli = '0';
	var  $cta_con_pd1 = '0';
	var  $cta_con_pd2 = '0';
	var  $cta_con_pb1 = '0';
	var  $cta_con_pb2 = '0';

	function antes_agregar(){
		$sql = "SELECT * FROM $this->nom_tabla";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas==1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
//Funcion de Revicion
	function revisar(){
		$result = mysqli_query($GLOBALS['con'] ,"SELECT * FROM $this->nom_tabla where n_reg = '$this->n_reg'");
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (cve_cli, cve_pro, cve_acr, cve_mto_ven, cve_mto_gas, cve_mto_caj, tip_pol_ven, tip_pol_caj, tip_pol_ncv, tip_pol_gas, tip_pol_ppr, tip_pol_ncp, cve_pub_grl, cve_pag_sfa, dia_ven_cc1, dia_ven_cc2, dia_ven_cc3, dia_ven_cc4, dia_ven_cc5, dia_ven_cc6, cve_ret_isr, dia_ven_cp1, dia_ven_cp2, dia_ven_cp3, dia_ven_cp4, dia_ven_cp5, dia_ven_cp6, cve_mto_spe, cve_mvt_gas, afe_con_pro, afe_con_cli, cta_con_pd1, cta_con_pd2, cta_con_pb1, cta_con_pb2)values('$this->cve_cli', '$this->cve_pro', '$this->cve_acr', '$this->cve_mto_ven', '$this->cve_mto_gas','$this->cve_mto_caj', '$this->tip_pol_ven', '$this->tip_pol_caj', '$this->tip_pol_ncv', '$this->tip_pol_gas','$this->tip_pol_ppr', '$this->tip_pol_ncp', '$this->cve_pub_grl', '$this->cve_pag_sfa', '$this->dia_ven_cc1','$this->dia_ven_cc2', '$this->dia_ven_cc3', '$this->dia_ven_cc4', '$this->dia_ven_cc5', '$this->dia_ven_cc6','$this->cve_ret_isr', '$this->dia_ven_cp1', '$this->dia_ven_cp2', '$this->dia_ven_cp3', '$this->dia_ven_cp4','$this->dia_ven_cp5', '$this->dia_ven_cp6', '$this->cve_mto_spe', '$this->cve_mvt_gas', '$this->afe_con_pro','$this->afe_con_cli', '$this->cta_con_pd1', '$this->cta_con_pd2', '$this->cta_con_pb1','$this->cta_con_pb2')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}

	
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET cve_cli='$this->cve_cli', cve_pro='$this->cve_pro', cve_acr='$this->cve_acr', cve_mto_ven='$this->cve_mto_ven', cve_mto_gas='$this->cve_mto_gas', cve_mto_caj='$this->cve_mto_caj', tip_pol_ven='$this->tip_pol_ven', tip_pol_caj='$this->tip_pol_caj', tip_pol_ncv='$this->tip_pol_ncv', tip_pol_gas='$this->tip_pol_gas', tip_pol_ppr='$this->tip_pol_ppr', tip_pol_ncp='$this->tip_pol_ncp', cve_pub_grl='$this->cve_pub_grl', cve_pag_sfa='$this->cve_pag_sfa', dia_ven_cc1='$this->dia_ven_cc1', dia_ven_cc2='$this->dia_ven_cc2', dia_ven_cc3='$this->dia_ven_cc3', dia_ven_cc4='$this->dia_ven_cc4', dia_ven_cc5='$this->dia_ven_cc5', dia_ven_cc6='$this->dia_ven_cc6', cve_ret_isr='$this->cve_ret_isr', dia_ven_cp1='$this->dia_ven_cp1', dia_ven_cp2='$this->dia_ven_cp2', dia_ven_cp3='$this->dia_ven_cp3', dia_ven_cp4='$this->dia_ven_cp4', dia_ven_cp5='$this->dia_ven_cp5', dia_ven_cp6='$this->dia_ven_cp6', cve_mto_spe='$this->cve_mto_spe', cve_mvt_gas='$this->cve_mvt_gas', afe_con_pro='$this->afe_con_pro', afe_con_cli='$this->afe_con_cli', cta_con_pd1='$this->cta_con_pd1', cta_con_pd2='$this->cta_con_pd2', cta_con_pb1='$this->cta_con_pb1', cta_con_pb2='$this->cta_con_pb2' where n_reg = '$n_reg'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>